Re: [PATCH v6 5/9] btrfs: add fstest for stripe-tree metadata with 4k write

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]




+test _get_page_size -eq 4096 || _notrun "this tests requires 4k pagesize"
+

I made the following changes, to make this test-case run.
Also, in 30[5,6]

-----
diff --git a/tests/btrfs/304 b/tests/btrfs/304
index 05a4ae32639d..f1db52c1ba5c 100755
--- a/tests/btrfs/304
+++ b/tests/btrfs/304
@@ -22,7 +22,7 @@ _require_btrfs_fs_feature "free_space_tree"
  _require_btrfs_free_space_tree
  _require_btrfs_no_compress

-test _get_page_size -eq 4096 || _notrun "this tests requires 4k pagesize"
+test $(_get_page_size) -eq 4096 || _notrun "this tests requires 4k pagesize"

  test_4k_write()
  {
-------

With the above fixed and the trailing white spaces fixed

Reviewed-by: Anand Jain <anand.jain@xxxxxxxxxx>

for the patchset.




[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux